%define name    ddless
%define version 2.1
%define release 1

Summary:	ddless is a dd replacement that copies less data while keeping source and destination identical
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Utilities/System
BuildRoot:	%{_tmppath}/%{name}-%{version}-root/
Packager:	swplotner@amherst.edu
Source0:	http://www.amherst.edu/~swplotner/ddless/download/%{name}-%{version}.tar.gz

%description
ddless copies segments of data from a source device to a target device and
keeps track of segment checksums. Subsequent copies are faster if the checksum
of a segment still matches. If the source data segment has changed then the
new checksum is stored. Checksums are based on CRC32 and MurmurHash resulting
in 64-bit checksums per 16KB segment of data.


%prep

%setup -q

%build

make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
cp ddless $RPM_BUILD_ROOT/%{_bindir}
cp ddmap $RPM_BUILD_ROOT/%{_bindir}

%post

%postun

%clean

[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README CREDITS AUTHORS COPYING CHANGES
%attr(0755,root,root) %{_bindir}/*

%changelog
* Fri Feb 12 2010 - <swplotner@amherst.edu>
- ddmap support

* Sun May 24 2009 - <swplotner@amherst.edu>
- checksum file can be /dev/null to allow fast copy

* Tue Dec 09 2008 - <swplotner@amherst.edu>
- SUNOS source code compatible
- worker threads introduced

* Mon Sep 08 2008 - <swplotner@amherst.edu>
- 64-bit support

* Fri May 23 2008 - <swplotner@amherst.edu>
- new version 1.1 release

* Wed Apr 2 2008 - <swplotner@amherst.edu>
- initial package
